﻿using KnockoutSample.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

namespace KnockoutSample
{
    /// <summary>
    /// Summary description for WebService
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    [System.Web.Script.Services.ScriptService]
    public class WebService : System.Web.Services.WebService
    {
        NorthwindDataContext db = new NorthwindDataContext();
        [WebMethod]
        public object Get()
        {
            var dataSource = db.OrdersViews.Take(10).ToList();
            var count = dataSource.Count;
            return new { result = dataSource, count = count };
        }
    }
}
